Subject: Re: [core] Two CoAP over WebSockets related publications

From: "weigengyu" <[email-masked]>
Date: Wed, 1 Apr 2015 23:35:29 +0800

Hi Teemu,

> We were also thinking that in some cases “less-constrained” nodes might wish to perform RESTful interactions more efficiently 
> (on some regard) using CoAP. So not only we wanted to measure CoAP over WebSockets, but also CoAP vs HTTP.

Yes. 

A conference about WiSUN was held here two weeks age. 
It is ieee802.15.4g based applications, and CoAP is choosed as one of application layer protocols.

Nodes for power industry are powered by civil power line, not by battery.
Such nodes are likely to be “less-constrained”.

Regards, 

Gengyu WEI
Network Technology Center
School of Computer 
Beijing University of Posts and Telecommunications

From: Savolainen Teemu (Nokia-TECH/Tampere) 
Sent: Wednesday, April 01, 2015 3:15 AM
To: ext Salvatore Loreto 
Cc: ext weigengyu ; [email-masked] 
Subject: RE: [core] Two CoAP over WebSockets related publications

Hi Salvatore,

>I do think that this is an interesting point 

>I have been thinking about how to use CoAP to improve performances

>to some web functionality and I am happy to see I was not alone 

We were also thinking that in some cases “less-constrained” nodes might wish to perform RESTful interactions more efficiently (on some regard) using CoAP. So not only we wanted to measure CoAP over WebSockets, but also CoAP vs HTTP.

>do you have done from an abstract protocol functionalities or do you have performed the

>test with a specific “web” future in mind?

We were not comparing abstract protocol features, just power consumption performance for small payloads that are sent periodically. For continuously streaming data the difference between protocols would be small, as such traffic pattern would certainly amount enough data to avoid triggering cellular radio’s power save features..

            Teemu